function love.load()
	require("options")
	require("sim")
	optionLoad()
end

function love.update(dt)
	if varStarted then simUpdate(dt) end
end

function love.keypressed(key)
	if varStarted then
		simKeypressed(key)
	else
		optionKeypressed(key)
	end
end

function love.mousereleased(x, y, button)
	if varStarted then
		simMousereleased(x, y, button)
	end
end

function love.mousepressed(x, y, button)
	if varStarted then
		simMousepressed(x, y, button)
	else
		optionMousepressed(x, y, button)
	end
end

function love.draw()
	if varStarted then
		simDraw()
	else
		optionDraw()
	end
end